Bug 779557 - (SOA-1933) HttpGateway add support for different connectors
HttpGateway add support for different connectors
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 ER1
Unspecified Unspecified
medium Severity medium
: ---
: 5.0.2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-07 21:00 EST by Eric Zhang
Modified: 2010-06-09 15:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-09 15:36:46 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1933 None None None Never

  None (edit)
Description Eric Zhang 2010-02-07 21:00:53 EST
Affects: Documentation (Ref Guide, User Guide, etc.), Interactive Demo/Tutorial
Date of First Response: 2010-05-12 07:37:07
Help Desk Ticket Reference: https://enterprise.redhat.com/issue-tracker/483553
project_key: SOA

In JBoss SOA-P 5.0 the new HttpGateway states that it takes its connection information (bind and port address) from the jboss web container itself. However if the web container has more than one http connectors configured in the jbossweb.sar/server.xml (eg, one on 8080 the other on 8081), the HttpGateway does not support for different connectors.
Comment 1 Kevin Conner 2010-04-29 11:35:48 EDT
Link: Added: This issue depends JBESB-3296
Comment 2 Magesh Bojan 2010-05-12 07:34:18 EDT
Affects: Added: [Documentation (Ref Guide, User Guide, etc.), Interactive Demo/Tutorial]
Comment 3 Magesh Bojan 2010-05-12 07:37:07 EDT
Updated in ESB codebase, will be in next merge.
Comment 4 David Le Sage 2010-06-06 18:35:29 EDT
The following draft text has been added to the Release Notes:


https://jira.jboss.org/browse/JBESB-3296

    The HttpGateway could not support multiple connectors if more than one was configured in
    jbossweb.sar/server.xml. Support for multiple connectors bound to different port addresses
    has now been added.
Comment 5 Len DiMaggio 2010-06-09 11:28:21 EDT
Information on the allowedPorts property is yet in the ESB (or SOA-P) programmers' guide. We should point the readers/users to the http-gateway quickstart for an example:

        <service category="PortFilter01" name="List" description="" invmScope="GLOBAL">
            <listeners>
                <!-- Receives: http://<host>:8081/Quickstart_http_gateway/http/ports01/*
                               Uses the default http bus configuration
                               The requests with http://<host>:8080/* will be returned with Status 404... -->
                <http-gateway name="PortFilter01" urlPattern="ports01/*">
                    <property name="allowedPorts" value="8081"/>
                </http-gateway>
            </listeners>
            <actions mep="RequestResponse">
                <action name="print" class="org.jboss.soa.esb.samples.quickstart.httpgateway.MyAction"/>
            </actions>
        </service>
Comment 6 Len DiMaggio 2010-06-09 15:36:46 EDT
Verified in SOA-P 5.0.2 CR1 build

Note You need to log in before you can comment on or make changes to this bug.